summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/qt-assistant/ChangeLog7
-rw-r--r--x11-libs/qt-assistant/qt-assistant-4.5.2.ebuild53
-rw-r--r--x11-libs/qt-core/ChangeLog8
-rw-r--r--x11-libs/qt-core/files/qt-4.5-nolibx11.diff18
-rw-r--r--x11-libs/qt-core/qt-core-4.5.2.ebuild207
-rw-r--r--x11-libs/qt-dbus/ChangeLog8
-rw-r--r--x11-libs/qt-dbus/files/qt-4.5-nolibx11.diff18
-rw-r--r--x11-libs/qt-dbus/qt-dbus-4.5.2.ebuild40
-rw-r--r--x11-libs/qt-demo/ChangeLog7
-rw-r--r--x11-libs/qt-demo/qt-demo-4.5.2.ebuild50
-rw-r--r--x11-libs/qt-gui/ChangeLog7
-rw-r--r--x11-libs/qt-gui/qt-gui-4.5.2.ebuild173
-rw-r--r--x11-libs/qt-opengl/ChangeLog7
-rw-r--r--x11-libs/qt-opengl/qt-opengl-4.5.2.ebuild39
-rw-r--r--x11-libs/qt-phonon/ChangeLog7
-rw-r--r--x11-libs/qt-phonon/qt-phonon-4.5.2.ebuild44
-rw-r--r--x11-libs/qt-qt3support/ChangeLog7
-rw-r--r--x11-libs/qt-qt3support/qt-qt3support-4.5.2.ebuild40
-rw-r--r--x11-libs/qt-script/ChangeLog8
-rw-r--r--x11-libs/qt-script/files/qt-4.5-nolibx11.diff18
-rw-r--r--x11-libs/qt-script/qt-script-4.5.2.ebuild35
-rw-r--r--x11-libs/qt-sql/ChangeLog8
-rw-r--r--x11-libs/qt-sql/files/qt-4.5-nolibx11.diff18
-rw-r--r--x11-libs/qt-sql/qt-sql-4.5.2.ebuild71
-rw-r--r--x11-libs/qt-svg/ChangeLog7
-rw-r--r--x11-libs/qt-svg/qt-svg-4.5.2.ebuild43
-rw-r--r--x11-libs/qt-test/ChangeLog8
-rw-r--r--x11-libs/qt-test/files/qt-4.5-nolibx11.diff18
-rw-r--r--x11-libs/qt-test/qt-test-4.5.2.ebuild34
-rw-r--r--x11-libs/qt-webkit/ChangeLog7
-rw-r--r--x11-libs/qt-webkit/qt-webkit-4.5.2.ebuild37
-rw-r--r--x11-libs/qt-xmlpatterns/ChangeLog8
-rw-r--r--x11-libs/qt-xmlpatterns/files/qt-4.5-nolibx11.diff18
-rw-r--r--x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.2.ebuild34
34 files changed, 1098 insertions, 14 deletions
diff --git a/x11-libs/qt-assistant/ChangeLog b/x11-libs/qt-assistant/ChangeLog
index 62c4d8da6a00..afa9c848ca14 100644
--- a/x11-libs/qt-assistant/ChangeLog
+++ b/x11-libs/qt-assistant/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-assistant
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.42 2009/06/06 08:41:17 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.43 2009/06/27 19:16:21 yngwin Exp $
+
+*qt-assistant-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +qt-assistant-4.5.2.ebuild:
+ Version bump
06 Jun 2009; Markus Meier <maekke@gentoo.org> qt-assistant-4.5.1.ebuild:
amd64 stable, bug #266201
diff --git a/x11-libs/qt-assistant/qt-assistant-4.5.2.ebuild b/x11-libs/qt-assistant/qt-assistant-4.5.2.ebuild
new file mode 100644
index 000000000000..33118b2b3592
--- /dev/null
+++ b/x11-libs/qt-assistant/qt-assistant-4.5.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/qt-assistant-4.5.2.ebuild,v 1.1 2009/06/27 19:16:21 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The assistant help module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=]
+ ~x11-libs/qt-sql-${PV}[debug=,sqlite]
+ ~x11-libs/qt-webkit-${PV}[debug=]"
+RDEPEND="${DEPEND} !<x11-libs/qt-4.4.0:4"
+
+# Pixeltool isn't really assistant related, but it relies on
+# the assistant libraries. And qdoc3 is needed by qt-creator...
+QT4_TARGET_DIRECTORIES="tools/assistant tools/pixeltool tools/qdoc3"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/3rdparty/clucene/
+tools/shared/fontpanel
+include/
+src/
+doc/"
+
+src_configure() {
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-qt3support -no-svg -no-gtkstyle"
+ qt4-build_src_configure
+}
+
+src_install() {
+ qt4-build_src_install
+ insinto ${QTDOCDIR}
+ doins -r "${S}"/doc/qch/ || die "Installing qch documentation failed"
+ dobin "${S}"/tools/qdoc3/qdoc3 || die "Installing qdoc3 failed"
+
+ # install correct assistant icon, bug 241208
+ dodir /usr/share/pixmaps/ || die "dodir failed"
+ insinto /usr/share/pixmaps/ || die "insinto failed"
+ doins tools/assistant/tools/assistant/images/assistant.png \
+ || die "doins failed"
+ # Note: absolute image path required here!
+ make_desktop_entry /usr/bin/assistant Assistant \
+ /usr/share/pixmaps/assistant.png 'Qt;Development;GUIDesigner' \
+ || die "make_desktop_entry failed"
+}
diff --git a/x11-libs/qt-core/ChangeLog b/x11-libs/qt-core/ChangeLog
index 09fece0f0149..c0f5c1d7c125 100644
--- a/x11-libs/qt-core/ChangeLog
+++ b/x11-libs/qt-core/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-core
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.55 2009/06/08 22:27:04 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.56 2009/06/27 19:16:57 yngwin Exp $
+
+*qt-core-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +files/qt-4.5-nolibx11.diff,
+ +qt-core-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-core-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-core/files/qt-4.5-nolibx11.diff b/x11-libs/qt-core/files/qt-4.5-nolibx11.diff
new file mode 100644
index 000000000000..f94be77b742d
--- /dev/null
+++ b/x11-libs/qt-core/files/qt-4.5-nolibx11.diff
@@ -0,0 +1,18 @@
+diff -Nur qt-x11-opensource-src-4.5.1-orig/configure qt-x11-opensource-src-4.5.1/configure
+--- qt-x11-opensource-src-4.5.1-orig/configure 2009-04-22 02:57:35.000000000 +0300
++++ qt-x11-opensource-src-4.5.1/configure 2009-06-03 00:59:44.108245373 +0300
+@@ -4733,14 +4733,6 @@
+ X11TESTS_FLAGS="$X11TESTS_FLAGS -fpermissive"
+ fi
+
+- # Check we actually have X11 :-)
+- if ! "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/xlib "XLib" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
+- echo "Basic XLib functionality test failed!"
+- echo " You might need to modify the include and library search paths by editing"
+- echo " QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 in ${XQMAKESPEC}."
+- exit 1
+- fi
+-
+ # auto-detect OpenGL support (es1 = OpenGL ES 1.x Common, es1cl = ES 1.x common lite, es2 = OpenGL ES 2.x)
+ if [ "$CFG_OPENGL" = "auto" ] || [ "$CFG_OPENGL" = "yes" ]; then
+ if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/opengl "OpenGL" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
diff --git a/x11-libs/qt-core/qt-core-4.5.2.ebuild b/x11-libs/qt-core/qt-core-4.5.2.ebuild
new file mode 100644
index 000000000000..951fba6c75e7
--- /dev/null
+++ b/x11-libs/qt-core/qt-core-4.5.2.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/qt-core-4.5.2.ebuild,v 1.1 2009/06/27 19:16:58 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="doc +glib iconv qt3support ssl"
+
+RDEPEND="sys-libs/zlib
+ glib? ( dev-libs/glib )
+ ssl? ( dev-libs/openssl )
+ !<x11-libs/qt-4.4.0:4"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+PDEPEND="qt3support? ( ~x11-libs/qt-gui-${PV}[qt3support] )"
+
+QT4_TARGET_DIRECTORIES="
+src/tools/bootstrap
+src/tools/moc/
+src/tools/rcc/
+src/tools/uic/
+src/corelib/
+src/xml/
+src/network/
+src/plugins/codecs/"
+
+# Most ebuilds include almost everything for testing
+# Will clear out unneeded directories after everything else works OK
+QT4_EXTRACT_DIRECTORIES="
+include/Qt/
+include/QtCore/
+include/QtNetwork/
+include/QtScript/
+include/QtXml/
+src/plugins/plugins.pro
+src/plugins/qpluginbase.pri
+src/src.pro
+src/3rdparty/des/
+src/3rdparty/harfbuzz/
+src/3rdparty/md4/
+src/3rdparty/md5/
+src/3rdparty/sha1/
+src/script/
+translations/"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.5-nolibx11.diff"
+)
+
+pkg_setup() {
+ qt4-build_pkg_setup
+
+ if has_version x11-libs/qt-core; then
+ # Check to see if they've changed the glib flag since the last time installing this package.
+ if use glib && ! built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ elif ! use glib && built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ fi
+
+ # Check to see if they've changed the qt3support flag since the last time installing this package.
+ # If so, give a list of packages they need to uninstall first.
+ if use qt3support && ! built_with_use x11-libs/qt-core qt3support; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ elif ! use qt3support && built_with_use x11-libs/qt-core qt3support ; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ fi
+ fi
+}
+
+src_unpack() {
+ if use doc; then
+ QT4_EXTRACT_DIRECTORIES="${QT4_EXTRACT_DIRECTORIES}
+ doc/"
+ QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ tools/qdoc3"
+ fi
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+
+ # Don't pre-strip, bug 235026
+ for i in kr jp cn tw ; do
+ echo "CONFIG+=nostrip" >> "${S}"/src/plugins/codecs/${i}/${i}.pro
+ done
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ # bug 172219
+ sed -i -e "s:CXXFLAGS.*=:CXXFLAGS=${CXXFLAGS} :" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix CXXFLAGS failed"
+ sed -i -e "s:LFLAGS.*=:LFLAGS=${LDFLAGS} :" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix LDFLAGS failed"
+}
+
+src_configure() {
+ unset QMAKESPEC
+
+ myconf="${myconf}
+ $(qt_use glib)
+ $(qt_use iconv)
+ $(qt_use ssl openssl)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-gif -no-libpng
+ -no-libmng -no-libjpeg -system-zlib -no-webkit -no-phonon -no-xmlpatterns
+ -no-freetype -no-libtiff -no-accessibility -no-fontconfig -no-opengl
+ -no-svg -no-gtkstyle"
+
+ if ! use doc; then
+ myconf="${myconf} -nomake docs"
+ fi
+
+ cp -f "${FILESDIR}"/moc.pro "${S}"/src/tools/moc/
+ cp -f "${FILESDIR}"/rcc.pro "${S}"/src/tools/rcc/
+ cp -f "${FILESDIR}"/uic.pro "${S}"/src/tools/uic/
+
+ qt4-build_src_configure
+}
+
+src_compile() {
+ # bug 259736
+ unset QMAKESPEC
+ qt4-build_src_compile
+}
+
+src_install() {
+ dobin "${S}"/bin/{qmake,moc,rcc,uic} || die "dobin failed"
+
+ install_directories src/{corelib,xml,network,plugins/codecs}
+
+ emake INSTALL_ROOT="${D}" install_mkspecs || die "emake install_mkspecs failed"
+
+ if use doc; then
+ emake INSTALL_ROOT="${D}" install_htmldocs || die "emake install_htmldocs failed"
+ fi
+
+ emake INSTALL_ROOT="${D}" install_translations || die "emake install_translations failed"
+
+ fix_library_files
+
+ # List all the multilib libdirs
+ local libdirs=
+ for libdir in $(get_all_libdirs); do
+ libdirs="${libdirs}:/usr/${libdir}/qt4"
+ done
+
+ cat <<-EOF > "${T}/44qt4"
+ LDPATH=${libdirs:1}
+ EOF
+ doenvd "${T}/44qt4"
+
+ dodir /${QTDATADIR}/mkspecs/gentoo
+ mv "${D}"/${QTDATADIR}/mkspecs/qconfig.pri "${D}${QTDATADIR}"/mkspecs/gentoo \
+ || die "Failed to move qconfig.pri"
+
+ sed -i -e '2a#include <Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTHEADERDIR}"/QtCore/qconfig.h \
+ "${D}${QTHEADERDIR}"/Qt/qconfig.h \
+ || die "sed for qconfig.h failed"
+
+ if use glib; then
+ QCONFIG_DEFINE="$(use glib && echo QT_GLIB)
+ $(use ssl && echo QT_OPENSSL)"
+ install_qconfigs
+ fi
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtCore}/{\
+qatomic_macosx.h,\
+qatomic_windows.h,\
+qatomic_windowsce.h,\
+qt_windows.h}
+
+ keepdir "${QTSYSCONFDIR}"
+}
diff --git a/x11-libs/qt-dbus/ChangeLog b/x11-libs/qt-dbus/ChangeLog
index 586213719baf..096001c7c63b 100644
--- a/x11-libs/qt-dbus/ChangeLog
+++ b/x11-libs/qt-dbus/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-dbus
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.33 2009/06/08 22:28:51 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.34 2009/06/27 19:17:33 yngwin Exp $
+
+*qt-dbus-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +files/qt-4.5-nolibx11.diff,
+ +qt-dbus-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-dbus-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-dbus/files/qt-4.5-nolibx11.diff b/x11-libs/qt-dbus/files/qt-4.5-nolibx11.diff
new file mode 100644
index 000000000000..f94be77b742d
--- /dev/null
+++ b/x11-libs/qt-dbus/files/qt-4.5-nolibx11.diff
@@ -0,0 +1,18 @@
+diff -Nur qt-x11-opensource-src-4.5.1-orig/configure qt-x11-opensource-src-4.5.1/configure
+--- qt-x11-opensource-src-4.5.1-orig/configure 2009-04-22 02:57:35.000000000 +0300
++++ qt-x11-opensource-src-4.5.1/configure 2009-06-03 00:59:44.108245373 +0300
+@@ -4733,14 +4733,6 @@
+ X11TESTS_FLAGS="$X11TESTS_FLAGS -fpermissive"
+ fi
+
+- # Check we actually have X11 :-)
+- if ! "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/xlib "XLib" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
+- echo "Basic XLib functionality test failed!"
+- echo " You might need to modify the include and library search paths by editing"
+- echo " QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 in ${XQMAKESPEC}."
+- exit 1
+- fi
+-
+ # auto-detect OpenGL support (es1 = OpenGL ES 1.x Common, es1cl = ES 1.x common lite, es2 = OpenGL ES 2.x)
+ if [ "$CFG_OPENGL" = "auto" ] || [ "$CFG_OPENGL" = "yes" ]; then
+ if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/opengl "OpenGL" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
diff --git a/x11-libs/qt-dbus/qt-dbus-4.5.2.ebuild b/x11-libs/qt-dbus/qt-dbus-4.5.2.ebuild
new file mode 100644
index 000000000000..41473af540f8
--- /dev/null
+++ b/x11-libs/qt-dbus/qt-dbus-4.5.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/qt-dbus-4.5.2.ebuild,v 1.1 2009/06/27 19:17:33 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The DBus module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]
+ >=sys-apps/dbus-1.0.2"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/dbus
+tools/qdbus/qdbus
+tools/qdbus/qdbusxml2cpp
+tools/qdbus/qdbuscpp2xml"
+QCONFIG_ADD="dbus dbus-linked"
+QCONFIG_DEFINE="QT_DBUS"
+
+#FIXME: Check if these are still needed with the header package
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtDBus
+include/QtXml
+src/corelib
+src/xml"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.5-nolibx11.diff"
+)
+
+src_configure() {
+ myconf="${myconf} -dbus-linked"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-demo/ChangeLog b/x11-libs/qt-demo/ChangeLog
index fc319a2c484c..69dde013be0f 100644
--- a/x11-libs/qt-demo/ChangeLog
+++ b/x11-libs/qt-demo/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-demo
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.22 2009/06/06 08:42:28 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.23 2009/06/27 19:18:07 yngwin Exp $
+
+*qt-demo-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +qt-demo-4.5.2.ebuild:
+ Version bump
06 Jun 2009; Markus Meier <maekke@gentoo.org> qt-demo-4.5.1.ebuild:
amd64 stable, bug #266201
diff --git a/x11-libs/qt-demo/qt-demo-4.5.2.ebuild b/x11-libs/qt-demo/qt-demo-4.5.2.ebuild
new file mode 100644
index 000000000000..751700160565
--- /dev/null
+++ b/x11-libs/qt-demo/qt-demo-4.5.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/qt-demo-4.5.2.ebuild,v 1.1 2009/06/27 19:18:07 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="Demonstration module of the Qt toolkit"
+SLOT="4"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="kde"
+
+DEPEND="~x11-libs/qt-assistant-${PV}:${SLOT}
+ ~x11-libs/qt-core-${PV}:${SLOT}
+ ~x11-libs/qt-dbus-${PV}:${SLOT}
+ ~x11-libs/qt-gui-${PV}:${SLOT}
+ ~x11-libs/qt-opengl-${PV}:${SLOT}
+ || ( ~x11-libs/qt-phonon-${PV}:${SLOT} media-sound/phonon )
+ kde? ( media-sound/phonon )
+ ~x11-libs/qt-qt3support-${PV}:${SLOT}
+ ~x11-libs/qt-script-${PV}:${SLOT}
+ ~x11-libs/qt-sql-${PV}:${SLOT}
+ ~x11-libs/qt-svg-${PV}:${SLOT}
+ ~x11-libs/qt-test-${PV}:${SLOT}
+ ~x11-libs/qt-webkit-${PV}:${SLOT}
+ ~x11-libs/qt-xmlpatterns-${PV}:${SLOT}"
+
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="demos
+ examples"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ doc/src/images
+ src/
+ include/
+ tools/"
+
+src_prepare() {
+ # patch errors in arthurwidgets and plugandpaint
+ epatch "${FILESDIR}"/qt-demo-4.5.0-fixes.patch
+
+ qt4-build_src_prepare
+}
+
+src_install() {
+ insinto ${QTDOCDIR}/src
+ doins -r "${S}"/doc/src/images || die "Installing images failed."
+
+ qt4-build_src_install
+}
diff --git a/x11-libs/qt-gui/ChangeLog b/x11-libs/qt-gui/ChangeLog
index 10025b64fea8..01e31533b154 100644
--- a/x11-libs/qt-gui/ChangeLog
+++ b/x11-libs/qt-gui/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-gui
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.60 2009/06/08 22:33:37 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.61 2009/06/27 19:18:45 yngwin Exp $
+
+*qt-gui-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +qt-gui-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-gui-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-gui/qt-gui-4.5.2.ebuild b/x11-libs/qt-gui/qt-gui-4.5.2.ebuild
new file mode 100644
index 000000000000..08368fd2183e
--- /dev/null
+++ b/x11-libs/qt-gui/qt-gui-4.5.2.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/qt-gui-4.5.2.ebuild,v 1.1 2009/06/27 19:18:45 yngwin Exp $
+
+EAPI="2"
+inherit eutils qt4-build
+
+DESCRIPTION="The GUI module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+accessibility cups dbus +glib gtk mng nas nis raster tiff qt3support xinerama"
+
+RDEPEND="media-libs/fontconfig
+ >=media-libs/freetype-2
+ media-libs/jpeg
+ media-libs/libpng
+ sys-libs/zlib
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrandr
+ x11-libs/libXcursor
+ x11-libs/libXfont
+ x11-libs/libSM
+ x11-libs/libXi
+ ~x11-libs/qt-core-${PV}[debug=,glib=,qt3support=]
+ ~x11-libs/qt-script-${PV}[debug=]
+ cups? ( net-print/cups )
+ dbus? ( ~x11-libs/qt-dbus-${PV}[debug=] )
+ gtk? ( x11-libs/gtk+:2 )
+ mng? ( >=media-libs/libmng-1.0.9 )
+ nas? ( >=media-libs/nas-1.5 )
+ tiff? ( media-libs/tiff )
+ xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}
+ xinerama? ( x11-proto/xineramaproto )
+ x11-proto/xextproto
+ x11-proto/inputproto"
+PDEPEND="qt3support? ( ~x11-libs/qt-qt3support-${PV}[debug=] )"
+
+QT4_TARGET_DIRECTORIES="
+src/gui
+src/scripttools/
+tools/designer
+tools/linguist
+src/plugins/imageformats/gif
+src/plugins/imageformats/ico
+src/plugins/imageformats/jpeg
+src/plugins/inputmethods"
+
+QT4_EXTRACT_DIRECTORIES="
+include/
+src/
+tools/shared/"
+
+pkg_setup() {
+ if use raster; then
+ ewarn "WARNING: You have enabled raster backend rendering engine."
+ ewarn "This is a new feature and may lead to composite problems"
+ ewarn "screen corruption and broken qt4 or kde4 applications. "
+ ewarn "If you encounter such problems please"
+ ewarn "remove 'raster' use flag and re-compile qt-gui before"
+ ewarn "filling a bug on gentoo bugzilla."
+ ebeep 5
+ fi
+ qt4-build_pkg_setup
+}
+
+src_unpack() {
+ use dbus && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} tools/qdbus/qdbusviewer"
+ use mng && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/mng"
+ use tiff && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/tiff"
+ use accessibility && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/accessible/widgets"
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES} ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ # Don't build plugins this go around, because they depend on qt3support lib
+ sed -i -e "s:CONFIG(shared:# &:g" "${S}"/tools/designer/src/src.pro
+
+ # fixing hardcoded fonts, bug #252312
+ EPATCH_OPTS="--ignore-whitespace"
+ epatch "${FILESDIR}"/hardcoded_fonts.patch
+}
+
+src_configure() {
+ export PATH="${S}/bin:${PATH}"
+ export LD_LIBRARY_PATH="${S}/lib:${LD_LIBRARY_PATH}"
+
+ myconf="$(qt_use accessibility)
+ $(qt_use cups)
+ $(qt_use glib)
+ $(qt_use mng libmng system)
+ $(qt_use nis)
+ $(qt_use tiff libtiff system)
+ $(qt_use dbus qdbus)
+ $(qt_use qt3support)
+ $(qt_use gtk gtkstyle)
+ $(qt_use xinerama)"
+
+ use nas && myconf="${myconf} -system-nas-sound"
+ use raster && myconf="${myconf} -graphicssystem raster"
+
+ myconf="${myconf} -qt-gif -system-libpng -system-libjpeg
+ -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2 -no-sql-odbc
+ -xrender -xrandr -xkb -xshape -sm -no-svg"
+
+ # Explicitly don't compile these packages.
+ # Emerge "qt-webkit", "qt-phonon", etc for their functionality.
+ myconf="${myconf} -no-webkit -no-phonon -no-dbus -no-opengl"
+
+ qt4-build_src_configure
+}
+
+src_install() {
+ QCONFIG_ADD="x11sm xshape xcursor xfixes xrandr xrender xkb fontconfig
+ $(usev accessibility) $(usev xinerama) $(usev cups) $(usev nas)
+ gif png system-png system-jpeg
+ $(use mng && echo system-mng)
+ $(use tiff && echo system-tiff)"
+ QCONFIG_REMOVE="no-gif no-png"
+ QCONFIG_DEFINE="$(use accessibility && echo QT_ACCESSIBILITY)
+ $(use cups && echo QT_CUPS) QT_FONTCONFIG QT_IMAGEFORMAT_JPEG
+ $(use mng && echo QT_IMAGEFORMAT_MNG)
+ $(use nas && echo QT_NAS)
+ $(use nis && echo QT_NIS) QT_IMAGEFORMAT_PNG QT_SESSIONMANAGER QT_SHAPE
+ $(use tiff && echo QT_IMAGEFORMAT_TIFF) QT_XCURSOR
+ $(use xinerama && echo QT_XINERAMA) QT_XFIXES QT_XKB QT_XRANDR QT_XRENDER"
+
+ qt4-build_src_install
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtGui}/{qmacstyle_mac.h,qwindowdefs_win.h} \
+ "${D}${QTHEADERDIR}"/QtGui/QMacStyle
+
+ # qt-creator
+ # some qt-creator headers are located
+ # under /usr/include/qt4/QtDesigner/private.
+ # those headers are just includes of the headers
+ # which are located under tools/designer/src/lib/*
+ # So instead of installing both, we create the private folder
+ # and drop tools/designer/src/lib/* headers in it.
+ dodir /usr/include/qt4/QtDesigner/private/
+ insinto /usr/include/qt4/QtDesigner/private/
+ doins "${S}"/tools/designer/src/lib/shared/*
+ doins "${S}"/tools/designer/src/lib/sdk/*
+
+ # install correct designer and linguist icons, bug 241208
+ doicon tools/linguist/linguist/images/icons/linguist-128-32.png \
+ tools/designer/src/designer/images/designer.png \
+ || die "doicon failed"
+ # Note: absolute image path required here!
+ make_desktop_entry /usr/bin/linguist Linguist \
+ /usr/share/pixmaps/linguist-128-32.png \
+ 'Qt;Development;GUIDesigner' \
+ || die "linguist make_desktop_entry failed"
+ make_desktop_entry /usr/bin/designer Designer \
+ /usr/share/pixmaps/designer.png \
+ 'Qt;Development;GUIDesigner' \
+ || die "designer make_desktop_entry failed"
+}
+
+pkg_postinst() {
+ if use gtk ; then
+ ewarn 'If you get the following error when setting Qt to use the GTK style:'
+ ewarn ' "QGtkStyle cannot be used together with the GTK_Qt engine."'
+ ewarn 'make sure you have GTK configured to NOT use the GTK_Qt engine and'
+ ewarn 'export GTK2_RC_FILES="$HOME/.gtkrc-2.0" in your environment.'
+ fi
+}
diff --git a/x11-libs/qt-opengl/ChangeLog b/x11-libs/qt-opengl/ChangeLog
index 57f5acf47ebd..5e168665ba74 100644
--- a/x11-libs/qt-opengl/ChangeLog
+++ b/x11-libs/qt-opengl/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-opengl
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.34 2009/06/08 22:34:12 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.35 2009/06/27 19:19:21 yngwin Exp $
+
+*qt-opengl-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +qt-opengl-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-opengl-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-opengl/qt-opengl-4.5.2.ebuild b/x11-libs/qt-opengl/qt-opengl-4.5.2.ebuild
new file mode 100644
index 000000000000..a07aaa074983
--- /dev/null
+++ b/x11-libs/qt-opengl/qt-opengl-4.5.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/qt-opengl-4.5.2.ebuild,v 1.1 2009/06/27 19:19:21 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The OpenGL module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="qt3support"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+ ~x11-libs/qt-gui-${PV}[debug=,qt3support=]
+ virtual/opengl
+ virtual/glu"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/opengl"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtGui
+include/QtOpenGL
+src/corelib
+src/gui
+src/3rdparty"
+
+QCONFIG_ADD="opengl"
+QCONFIG_DEFINE="QT_OPENGL"
+
+src_configure() {
+ myconf="${myconf} -opengl
+ $(qt_use qt3support)"
+
+ qt4-build_src_configure
+
+ # Not building tools/designer/src/plugins/tools/view3d as it's
+ # commented out of the build in the source
+}
diff --git a/x11-libs/qt-phonon/ChangeLog b/x11-libs/qt-phonon/ChangeLog
index 00f6a00706fa..40c39314ab54 100644
--- a/x11-libs/qt-phonon/ChangeLog
+++ b/x11-libs/qt-phonon/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-phonon
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.34 2009/06/08 22:41:08 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.35 2009/06/27 19:19:57 yngwin Exp $
+
+*qt-phonon-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +qt-phonon-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-phonon-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-phonon/qt-phonon-4.5.2.ebuild b/x11-libs/qt-phonon/qt-phonon-4.5.2.ebuild
new file mode 100644
index 000000000000..da6458fa0975
--- /dev/null
+++ b/x11-libs/qt-phonon/qt-phonon-4.5.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/qt-phonon-4.5.2.ebuild,v 1.1 2009/06/27 19:19:57 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Phonon module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="dbus"
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=,glib,qt3support]
+ !kde-base/phonon-kde
+ !kde-base/phonon-xine
+ !media-sound/phonon
+ media-libs/gstreamer
+ media-libs/gst-plugins-base
+ dbus? ( =x11-libs/qt-dbus-${PV}[debug=] )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/phonon
+src/plugins/phonon"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/
+src"
+
+QCONFIG_ADD="phonon"
+QCONFIG_DEFINE="QT_GSTREAMER"
+
+src_configure() {
+ myconf="${myconf} -phonon -no-opengl -no-svg
+ $(qt_use dbus qdbus)"
+
+ qt4-build_src_configure
+}
+
+# bug 265586
+src_install() {
+ qt4-build_src_install
+ insinto ${QTHEADERDIR}
+ doins -r "${S}"/include/Phonon || die "failed to install Phonon headers"
+}
diff --git a/x11-libs/qt-qt3support/ChangeLog b/x11-libs/qt-qt3support/ChangeLog
index 9ac16c6a675e..ab5f1452e889 100644
--- a/x11-libs/qt-qt3support/ChangeLog
+++ b/x11-libs/qt-qt3support/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-qt3support
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.40 2009/06/08 22:32:28 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.41 2009/06/27 19:20:38 yngwin Exp $
+
+*qt-qt3support-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +qt-qt3support-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-qt3support-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-qt3support/qt-qt3support-4.5.2.ebuild b/x11-libs/qt-qt3support/qt-qt3support-4.5.2.ebuild
new file mode 100644
index 000000000000..4bafb0d95bf9
--- /dev/null
+++ b/x11-libs/qt-qt3support/qt-qt3support-4.5.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/qt-qt3support-4.5.2.ebuild,v 1.1 2009/06/27 19:20:38 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt3 support module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+accessibility kde phonon"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support]
+ ~x11-libs/qt-gui-${PV}[accessibility=,debug=,qt3support]
+ ~x11-libs/qt-sql-${PV}[debug=,qt3support]
+ phonon? (
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}[debug=]
+ media-sound/phonon[gstreamer] ) )
+ kde? ( media-sound/phonon[gstreamer] )
+ )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/qt3support
+src/tools/uic3
+tools/designer/src/plugins/widgets
+tools/qtconfig
+tools/porting"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/
+include/
+tools/"
+
+src_configure() {
+ myconf="${myconf} -qt3support
+ $(qt_use phonon gstreamer)
+ $(qt_use phonon)
+ $(qt_use accessibility)"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-script/ChangeLog b/x11-libs/qt-script/ChangeLog
index 077e26344572..6d11166fca57 100644
--- a/x11-libs/qt-script/ChangeLog
+++ b/x11-libs/qt-script/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-script
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.36 2009/06/08 22:27:48 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.37 2009/06/27 19:21:17 yngwin Exp $
+
+*qt-script-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +files/qt-4.5-nolibx11.diff,
+ +qt-script-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-script-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-script/files/qt-4.5-nolibx11.diff b/x11-libs/qt-script/files/qt-4.5-nolibx11.diff
new file mode 100644
index 000000000000..f94be77b742d
--- /dev/null
+++ b/x11-libs/qt-script/files/qt-4.5-nolibx11.diff
@@ -0,0 +1,18 @@
+diff -Nur qt-x11-opensource-src-4.5.1-orig/configure qt-x11-opensource-src-4.5.1/configure
+--- qt-x11-opensource-src-4.5.1-orig/configure 2009-04-22 02:57:35.000000000 +0300
++++ qt-x11-opensource-src-4.5.1/configure 2009-06-03 00:59:44.108245373 +0300
+@@ -4733,14 +4733,6 @@
+ X11TESTS_FLAGS="$X11TESTS_FLAGS -fpermissive"
+ fi
+
+- # Check we actually have X11 :-)
+- if ! "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/xlib "XLib" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
+- echo "Basic XLib functionality test failed!"
+- echo " You might need to modify the include and library search paths by editing"
+- echo " QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 in ${XQMAKESPEC}."
+- exit 1
+- fi
+-
+ # auto-detect OpenGL support (es1 = OpenGL ES 1.x Common, es1cl = ES 1.x common lite, es2 = OpenGL ES 2.x)
+ if [ "$CFG_OPENGL" = "auto" ] || [ "$CFG_OPENGL" = "yes" ]; then
+ if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/opengl "OpenGL" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
diff --git a/x11-libs/qt-script/qt-script-4.5.2.ebuild b/x11-libs/qt-script/qt-script-4.5.2.ebuild
new file mode 100644
index 000000000000..ed1fec11be83
--- /dev/null
+++ b/x11-libs/qt-script/qt-script-4.5.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/qt-script-4.5.2.ebuild,v 1.1 2009/06/27 19:21:17 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The ECMAScript module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="iconv"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/script/"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtScript/
+src/corelib/"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.5-nolibx11.diff"
+)
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg -no-gtkstyle"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-sql/ChangeLog b/x11-libs/qt-sql/ChangeLog
index d1b5e75b2657..d47661cb12aa 100644
--- a/x11-libs/qt-sql/ChangeLog
+++ b/x11-libs/qt-sql/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-sql
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.46 2009/06/08 22:31:53 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.47 2009/06/27 19:21:54 yngwin Exp $
+
+*qt-sql-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +files/qt-4.5-nolibx11.diff,
+ +qt-sql-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-sql-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-sql/files/qt-4.5-nolibx11.diff b/x11-libs/qt-sql/files/qt-4.5-nolibx11.diff
new file mode 100644
index 000000000000..f94be77b742d
--- /dev/null
+++ b/x11-libs/qt-sql/files/qt-4.5-nolibx11.diff
@@ -0,0 +1,18 @@
+diff -Nur qt-x11-opensource-src-4.5.1-orig/configure qt-x11-opensource-src-4.5.1/configure
+--- qt-x11-opensource-src-4.5.1-orig/configure 2009-04-22 02:57:35.000000000 +0300
++++ qt-x11-opensource-src-4.5.1/configure 2009-06-03 00:59:44.108245373 +0300
+@@ -4733,14 +4733,6 @@
+ X11TESTS_FLAGS="$X11TESTS_FLAGS -fpermissive"
+ fi
+
+- # Check we actually have X11 :-)
+- if ! "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/xlib "XLib" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
+- echo "Basic XLib functionality test failed!"
+- echo " You might need to modify the include and library search paths by editing"
+- echo " QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 in ${XQMAKESPEC}."
+- exit 1
+- fi
+-
+ # auto-detect OpenGL support (es1 = OpenGL ES 1.x Common, es1cl = ES 1.x common lite, es2 = OpenGL ES 2.x)
+ if [ "$CFG_OPENGL" = "auto" ] || [ "$CFG_OPENGL" = "yes" ]; then
+ if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/opengl "OpenGL" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
diff --git a/x11-libs/qt-sql/qt-sql-4.5.2.ebuild b/x11-libs/qt-sql/qt-sql-4.5.2.ebuild
new file mode 100644
index 000000000000..c8b5b092940c
--- /dev/null
+++ b/x11-libs/qt-sql/qt-sql-4.5.2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/qt-sql-4.5.2.ebuild,v 1.1 2009/06/27 19:21:54 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SQL module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="firebird iconv mysql odbc postgres qt3support +sqlite"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+ firebird? ( dev-db/firebird )
+ mysql? ( virtual/mysql )
+ odbc? ( dev-db/unixODBC )
+ postgres? ( virtual/postgresql-base )
+ sqlite? ( dev-db/sqlite:3 )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/sql src/plugins/sqldrivers"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtSql/
+include/QtScript/
+src/src.pro
+src/corelib/
+src/plugins
+src/sql
+src/3rdparty
+src/tools"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.5-nolibx11.diff"
+)
+
+pkg_setup() {
+ if ! (use firebird || use mysql || use odbc || use postgres || use sqlite); then
+ ewarn "You need to enable at least one SQL driver. Enable at least"
+ ewarn "one of these USE flags: \"firebird mysql odbc postgres sqlite\""
+ die "Enable at least one SQL driver."
+ fi
+
+ qt4-build_pkg_setup
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+ sed -e '/pg_config --libs/d' -i "${S}"/configure \
+ || die 'sed to fix postgresql usage in ./configure failed.'
+}
+
+src_configure() {
+ # Don't support sqlite2 anymore
+ myconf="${myconf} -no-sql-sqlite2
+ $(qt_use mysql sql-mysql plugin) $(use mysql && echo "-I/usr/include/mysql -L/usr/$(get_libdir)/mysql ")
+ $(qt_use postgres sql-psql plugin) $(use postgres && echo "-I/usr/include/postgresql/pgsql ")
+ $(qt_use sqlite sql-sqlite plugin) $(use sqlite && echo '-system-sqlite')
+ $(qt_use odbc sql-odbc plugin)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-glib -no-opengl -no-svg -no-gtkstyle"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-svg/ChangeLog b/x11-libs/qt-svg/ChangeLog
index c465e1d4ed42..0b12cd469823 100644
--- a/x11-libs/qt-svg/ChangeLog
+++ b/x11-libs/qt-svg/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-svg
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.35 2009/06/08 22:30:08 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.36 2009/06/27 19:22:30 yngwin Exp $
+
+*qt-svg-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +qt-svg-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-svg-4.5.1-r1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-svg/qt-svg-4.5.2.ebuild b/x11-libs/qt-svg/qt-svg-4.5.2.ebuild
new file mode 100644
index 000000000000..081bf5c548b1
--- /dev/null
+++ b/x11-libs/qt-svg/qt-svg-4.5.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/qt-svg-4.5.2.ebuild,v 1.1 2009/06/27 19:22:30 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SVG module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="iconv"
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/svg
+src/plugins/imageformats/svg
+src/plugins/iconengines/svgiconengine"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtSvg/
+include/Qt/
+include/QtGui/
+include/QtCore/
+include/QtXml/
+src/corelib/
+src/gui/
+src/plugins/
+src/xml
+src/3rdparty"
+
+QCONFIG_ADD="svg"
+QCONFIG_DEFINE="QT_SVG"
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -svg -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -v -no-fontconfig -no-glib -no-opengl -no-gtkstyle -continue"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-test/ChangeLog b/x11-libs/qt-test/ChangeLog
index db8954f6d071..7e9e4d6bc050 100644
--- a/x11-libs/qt-test/ChangeLog
+++ b/x11-libs/qt-test/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-test
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.34 2009/06/08 22:36:16 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.35 2009/06/27 19:23:05 yngwin Exp $
+
+*qt-test-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +files/qt-4.5-nolibx11.diff,
+ +qt-test-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-test-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-test/files/qt-4.5-nolibx11.diff b/x11-libs/qt-test/files/qt-4.5-nolibx11.diff
new file mode 100644
index 000000000000..f94be77b742d
--- /dev/null
+++ b/x11-libs/qt-test/files/qt-4.5-nolibx11.diff
@@ -0,0 +1,18 @@
+diff -Nur qt-x11-opensource-src-4.5.1-orig/configure qt-x11-opensource-src-4.5.1/configure
+--- qt-x11-opensource-src-4.5.1-orig/configure 2009-04-22 02:57:35.000000000 +0300
++++ qt-x11-opensource-src-4.5.1/configure 2009-06-03 00:59:44.108245373 +0300
+@@ -4733,14 +4733,6 @@
+ X11TESTS_FLAGS="$X11TESTS_FLAGS -fpermissive"
+ fi
+
+- # Check we actually have X11 :-)
+- if ! "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/xlib "XLib" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
+- echo "Basic XLib functionality test failed!"
+- echo " You might need to modify the include and library search paths by editing"
+- echo " QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 in ${XQMAKESPEC}."
+- exit 1
+- fi
+-
+ # auto-detect OpenGL support (es1 = OpenGL ES 1.x Common, es1cl = ES 1.x common lite, es2 = OpenGL ES 2.x)
+ if [ "$CFG_OPENGL" = "auto" ] || [ "$CFG_OPENGL" = "yes" ]; then
+ if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/opengl "OpenGL" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
diff --git a/x11-libs/qt-test/qt-test-4.5.2.ebuild b/x11-libs/qt-test/qt-test-4.5.2.ebuild
new file mode 100644
index 000000000000..da6fc08b1033
--- /dev/null
+++ b/x11-libs/qt-test/qt-test-4.5.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/qt-test-4.5.2.ebuild,v 1.1 2009/06/27 19:23:05 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The testing framework module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="iconv"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/testlib"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtTest/
+include/QtCore/
+src/corelib/"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.5-nolibx11.diff"
+)
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-webkit/ChangeLog b/x11-libs/qt-webkit/ChangeLog
index 0fed1c14e0fc..aede3c798218 100644
--- a/x11-libs/qt-webkit/ChangeLog
+++ b/x11-libs/qt-webkit/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-webkit
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.43 2009/06/06 08:40:08 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.44 2009/06/27 19:23:40 yngwin Exp $
+
+*qt-webkit-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +qt-webkit-4.5.2.ebuild:
+ Version bump
06 Jun 2009; Markus Meier <maekke@gentoo.org> qt-webkit-4.5.1.ebuild:
amd64 stable, bug #266201
diff --git a/x11-libs/qt-webkit/qt-webkit-4.5.2.ebuild b/x11-libs/qt-webkit/qt-webkit-4.5.2.ebuild
new file mode 100644
index 000000000000..3096374ccde7
--- /dev/null
+++ b/x11-libs/qt-webkit/qt-webkit-4.5.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.5.2.ebuild,v 1.1 2009/06/27 19:23:40 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build flag-o-matic
+
+DESCRIPTION="The Webkit module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd"
+IUSE="kde"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,ssl]
+ ~x11-libs/qt-gui-${PV}[debug=]
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[debug=] media-sound/phonon ) )
+ kde? ( media-sound/phonon )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/3rdparty/webkit/WebCore tools/designer/src/plugins/qwebview"
+QT4_EXTRACT_DIRECTORIES="
+include/
+src/
+tools/"
+QCONFIG_ADD="webkit"
+QCONFIG_DEFINE="QT_WEBKIT"
+
+src_prepare() {
+ [[ $(tc-arch) == "ppc64" ]] && append-flags -mminimal-toc #241900
+ qt4-build_src_prepare
+}
+
+src_configure() {
+ # This fixes relocation overflows on alpha
+ use alpha && append-ldflags "-Wl,--no-relax"
+ myconf="${myconf} -webkit"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-xmlpatterns/ChangeLog b/x11-libs/qt-xmlpatterns/ChangeLog
index 2e14166371e5..a6219968e341 100644
--- a/x11-libs/qt-xmlpatterns/ChangeLog
+++ b/x11-libs/qt-xmlpatterns/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-xmlpatterns
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.33 2009/06/08 22:34:40 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.34 2009/06/27 19:24:14 yngwin Exp $
+
+*qt-xmlpatterns-4.5.2 (27 Jun 2009)
+
+ 27 Jun 2009; Ben de Groot <yngwin@gentoo.org> +files/qt-4.5-nolibx11.diff,
+ +qt-xmlpatterns-4.5.2.ebuild:
+ Version bump
08 Jun 2009; Jeroen Roovers <jer@gentoo.org> qt-xmlpatterns-4.5.1.ebuild:
Stable for HPPA (bug #266201).
diff --git a/x11-libs/qt-xmlpatterns/files/qt-4.5-nolibx11.diff b/x11-libs/qt-xmlpatterns/files/qt-4.5-nolibx11.diff
new file mode 100644
index 000000000000..f94be77b742d
--- /dev/null
+++ b/x11-libs/qt-xmlpatterns/files/qt-4.5-nolibx11.diff
@@ -0,0 +1,18 @@
+diff -Nur qt-x11-opensource-src-4.5.1-orig/configure qt-x11-opensource-src-4.5.1/configure
+--- qt-x11-opensource-src-4.5.1-orig/configure 2009-04-22 02:57:35.000000000 +0300
++++ qt-x11-opensource-src-4.5.1/configure 2009-06-03 00:59:44.108245373 +0300
+@@ -4733,14 +4733,6 @@
+ X11TESTS_FLAGS="$X11TESTS_FLAGS -fpermissive"
+ fi
+
+- # Check we actually have X11 :-)
+- if ! "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/xlib "XLib" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
+- echo "Basic XLib functionality test failed!"
+- echo " You might need to modify the include and library search paths by editing"
+- echo " QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 in ${XQMAKESPEC}."
+- exit 1
+- fi
+-
+ # auto-detect OpenGL support (es1 = OpenGL ES 1.x Common, es1cl = ES 1.x common lite, es2 = OpenGL ES 2.x)
+ if [ "$CFG_OPENGL" = "auto" ] || [ "$CFG_OPENGL" = "yes" ]; then
+ if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/x11/opengl "OpenGL" $L_FLAGS $I_FLAGS $l_FLAGS $X11TESTS_FLAGS; then
diff --git a/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.2.ebuild b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.2.ebuild
new file mode 100644
index 000000000000..59297ea754c2
--- /dev/null
+++ b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.2.ebuild,v 1.1 2009/06/27 19:24:14 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The patternist module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/xmlpatterns tools/xmlpatterns"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtNetwork
+include/QtXmlPatterns
+src/network/
+src/corelib/"
+
+QCONFIG_ADD="xmlpatterns"
+QCONFIG_DEFINE="QT_XMLPATTERNS"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.5-nolibx11.diff"
+)
+
+src_configure() {
+ myconf="${myconf} -xmlpatterns"
+ qt4-build_src_configure
+}